import { AxiosInstance, AxiosPromise } from 'axios';
import { PaginationInput } from '../mollie.interface';
import { CustomerInput, CustomerList, CustomerResponse } from './customers.interface';
/**
 * This class takes care of all /customer methods.
 */
export declare class Customers {
    private http;
    constructor(http: AxiosInstance);
    create(data: CustomerInput): AxiosPromise<CustomerResponse>;
    delete(customerId: string): AxiosPromise;
    get(customerId: string): AxiosPromise<CustomerResponse>;
    list(paginate?: PaginationInput): AxiosPromise<CustomerList>;
    update(customerId: string, data: CustomerInput): AxiosPromise<CustomerResponse>;
}
