"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class takes care of all /customer methods.
 */
var Customers = /** @class */ (function () {
    function Customers(http) {
        this.http = http;
    }
    Customers.prototype.create = function (data) {
        return this.http.post('/customers', data);
    };
    Customers.prototype.delete = function (customerId) {
        return this.http.delete('/customers/' + customerId);
    };
    Customers.prototype.get = function (customerId) {
        return this.http.get('/customers/' + customerId);
    };
    Customers.prototype.list = function (paginate) {
        return this.http.get('/customers', { params: paginate });
    };
    Customers.prototype.update = function (customerId, data) {
        return this.http.post('/customers/' + customerId, data);
    };
    return Customers;
}());
exports.Customers = Customers;
