"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var axios_1 = require("axios");
var customers_class_1 = require("./customers/customers.class");
var payments_class_1 = require("./payments/payments.class");
var subscriptions_class_1 = require("./subscriptions/subscriptions.class");
var Mollie = /** @class */ (function () {
    function Mollie(config, axiosConfig) {
        if (axiosConfig === void 0) { axiosConfig = {}; }
        this.http = axios_1.default.create(__assign({ 
            // The url to post requests to.
            baseURL: [
                config.endpoint || 'https://api.mollie.com',
                config.version || 'v1',
            ].join('/'), headers: {
                Authorization: "Bearer " + config.apiKey,
                'Content-Type': 'application/json; charset=utf-8',
            }, 
            // 60 seconds timeout
            timeout: 60000, 
            // Follow up to 10 HTTP 3xx redirects
            maxRedirects: 10, 
            // Maximum content length 50MBs
            maxContentLength: 50 * 1000 * 1000 }, axiosConfig));
        this.customers = new customers_class_1.Customers(this.http);
        this.payments = new payments_class_1.Payments(this.http);
        this.subscriptions = new subscriptions_class_1.Subscriptions(this.http);
    }
    return Mollie;
}());
exports.Mollie = Mollie;
