import { AxiosInstance, AxiosPromise } from 'axios';
import { PaginationInput } from '../mollie.interface';
import { SubscriptionInput, SubscriptionList, SubscriptionResponse } from './subscriptions.interface';
/**
 * This class takes care of all subscription methods.
 */
export declare class Subscriptions {
    private http;
    constructor(http: AxiosInstance);
    cancel(customerId: string, subscriptionId: string): AxiosPromise;
    create(customerId: string, data: SubscriptionInput): AxiosPromise<SubscriptionResponse>;
    get(customerId: string, subscriptionId: string): AxiosPromise<SubscriptionResponse>;
    list(customerId: string, paginate?: PaginationInput): AxiosPromise<SubscriptionList>;
    /**
     * Creates a URL to hit based on customer ID and optional subscription ID.
     */
    private url(customerId, subscriptionId?);
}
