"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * This class takes care of all subscription methods.
 */
var Subscriptions = /** @class */ (function () {
    function Subscriptions(http) {
        this.http = http;
    }
    Subscriptions.prototype.cancel = function (customerId, subscriptionId) {
        return this.http.delete(this.url(customerId, subscriptionId));
    };
    Subscriptions.prototype.create = function (customerId, data) {
        return this.http.post(this.url(customerId), data);
    };
    Subscriptions.prototype.get = function (customerId, subscriptionId) {
        return this.http.get(this.url(customerId, subscriptionId));
    };
    Subscriptions.prototype.list = function (customerId, paginate) {
        return this.http.get(this.url(customerId), { params: paginate });
    };
    /**
     * Creates a URL to hit based on customer ID and optional subscription ID.
     */
    Subscriptions.prototype.url = function (customerId, subscriptionId) {
        var url = ['/customers', customerId, 'subscriptions'];
        if (subscriptionId !== undefined) {
            url.push(subscriptionId);
        }
        return url.join('/');
    };
    return Subscriptions;
}());
exports.Subscriptions = Subscriptions;
